/******************************************
Replication do-file for all tables that are part of the main paper
Paper:                   Heß, Schündeln, Jaimovich: Development Projects and Economic Networks: Lessons From Rural Gambia
Journal:                 Review of Economic Studies
Contact:                 Simon Heß (hess@econ.uni-frankfurt.de)
Date:                    June 3, 2020				
******************************************/

/************  Settings  *****************/
/* Adapt for your needs before executing */
/*****************************************/
cd "D:/Replication Files"	//This should specify the path where all individual do files are stored. This path should also contain the subfolder "data".
global ritest_R 100			//All tables in the paper use 10000. To keep computation time short for trial runs, we default to a lower value.
set more off

/************  Dependencies **************/
do rerandomize.ado 					//this program is used to rerandomize treatment during randomization inference, following the original randomization structure.
ssc install estout, replace			//for table output
ssc install ritest, replace			//for randomization inference
ssc install unique, replace			//for counting the number of distinct households in dyadic regression samples
ssc install reghdfe, replace		//for convenient handling of fixed effects regressions
ssc install pdslasso, replace		//for the post double selection estimation
ssc install lassopack, replace 		//required for pdslasso

//Main text tables
do table1.do 
do table2.do 
do table3.do
do table4.do
do table6.do 
do table5.do
do table7.do 
do table8.do 
do table9.do 

//Appendix tables
do tableA1.do
do tableA2.do
do tableA3.do
