/******************************************
Replication do-file for all tables that are part of the online supplemenatary appendix
Paper:                   Heß, Schündeln, Jaimovich: Development Projects and Economic Networks: Lessons From Rural Gambia
Journal:                 Review of Economic Studies
Contact:                 Simon Heß (hess@econ.uni-frankfurt.de)
Date:                    June 3, 2020				
******************************************/

/************  Settings  *****************/
/* Adapt for your needs before executing */
/*****************************************/
cd "D:/Replication Files"	//This should specify the path where all individual do files are stored. This path should also contain the subfolder "data".
global ritest_R 100			//All tables in the paper use 10000. To keep computation time short for trial runs, we default to a lower value.
set more off

/************  Dependencies **************/
do rerandomize.ado 					//this program is used to rerandomize treatment during randomization inference, following the original randomization structure.
ssc install estout, replace			//for table output
ssc install ritest, replace			//for randomization inference
ssc install unique, replace			//for counting the number of distinct households in dyadic regression samples
ssc install reghdfe, replace		//for convenient handling of fixed effects regressions
ssc install pdslasso, replace		//for the post double selection estimation
ssc install lassopack, replace 		//required for pdslasso

//Tables
do supplement_table1.do
do supplement_table2.do
do supplement_table3.do
do supplement_table4.do
do supplement_table5.do
do supplement_table6a.do 
do supplement_table6b.do
do supplement_table7.do 
do supplement_table8.do
do supplement_table9.do
do supplement_table10.do
do supplement_table11.do
do supplement_table12.do
do supplement_table13a.do
do supplement_table13b-14-15-19.do
do supplement_table16.do
do supplement_table17-18b.do 
do supplement_table18panelA.do 
do supplement_table20panelA.do
do supplement_table20panelB.do
