/****************************************
This is an internal do file, required for the replication of 
Paper:                   Heß, Schündeln, Jaimovich: Development Projects and Economic Networks: Lessons From Rural Gambia
Journal:                 Review of Economic Studies
Contact:                 Simon Heß (hess@econ.uni-frankfurt.de)
****************************************/
//Purpose: Rerandomize as in the original treatment assignment. This is necessary for randomization inference.

cap program drop rerandomize
program rerandomize
        syntax , 			///
        resampvar(varname) 	///<- name of the resampling variable
        stratvar(varname) 	///<- name of the strata variable
        clustvar(varname) 	///<- name of the cluster variable
        * 					//<- ritest also passes other things to the permutation procedure
		
		tempvar mr r mr2
		sort  `stratvar' `clustvar'

        qui by `stratvar' `clustvar': gen `r'=rnormal() if _n==1 // draw one random variable per cluster

        qui by `stratvar': egen `mr' = median(`r') if !missing(`r') //compute median of these random variables within strata
		replace `resampvar' = cond(`r',(`r'>`mr' & `mr'<0) | (`r'>=`mr' & `mr'>=0) ,.,.) // replace the permutation var with  the new randomization outcome, 

		//sort `stratvar' `clustvar' `r'
		by `stratvar' `clustvar': replace `resampvar' = `resampvar'[_n-1]  if missing(`resampvar')
end
