/****************************************
Replication do-file for: Supplementary Table 17 and Supplementary Table 18, Panel B
Paper:                   Heß, Schündeln, Jaimovich: Development Projects and Economic Networks: Lessons From Rural Gambia
Journal:                 Review of Economic Studies
Contact:                 Simon Heß (hess@econ.uni-frankfurt.de)
****************************************/

/************  Dependencies ***************/
//To install required Stata packages from SSC, please run the master do files (replicate main tables.do or replicate online supplementary tables.do)
//To load required routines, please run rerandomize.ado or run the master do-files

est clear

use data/villages.dta, clear

	eststo avg_summary1: estpost summarize   dis_count   CDPamount  if treatment 
	eststo avg_summary2: estpost summarize  enum_count   if treatment 
	eststo avg_summary3: estpost summarize  vfcd_count vfcd_CDPamount  if treatment 
	eststo avg_summary4: estpost summarize 	medvil_count  if treatment 
	
	eststo count_summary1: estpost summarize dis_listed      if treatment 
	eststo count_summary2: estpost summarize enum_listed   enum_functions if treatment 
	eststo count_summary3: estpost summarize vfcd_listed   vfcd_functions if treatment 
	eststo count_summary4: estpost summarize medvil_listed  medvil_functions if treatment 
	
	esttab count_summary* using "replication-supplement_table17.txt", cells(sum(fmt(a1))) noobs  label  nodepvars   nonum nodep varlabels(, end("" "") nolast) ///
		mlabels("Admin. data" "Enumerators" "Focus groups" "Median villager", depvar) collabels(none) eqlabels(, begin("{hline @width}" "") nofirst)  replace ///
		rename(vfcd_CDPamount CDPamount medvil_listed enum_listed medvil_count enum_count  medvil_functions enum_functions medvil_mostben enum_mostben dis_listed enum_listed vfcd_listed enum_listed dis_count enum_count vfcd_count enum_count vfcd_functions enum_functions) ///

	
	esttab avg_summary* using "replication-supplement_table17.txt", cells(mean(fmt(a1))) noobs  label  nodepvars   nonum nodep varlabels(, end("" "") nolast) ///
		mlabels(none) collabels(none) eqlabels(, begin("" "") nofirst)  append rename(vfcd_CDPamount CDPamount medvil_listed enum_listed medvil_count enum_count  medvil_functions enum_functions medvil_mostben enum_mostben dis_listed enum_listed vfcd_listed enum_listed dis_count enum_count vfcd_count enum_count vfcd_functions enum_functions)

	
	esttab count_summary2 using "replication-supplement_table18panelB.txt", cells(mean(fmt(2))) drop(enum_listed)  replace label 
