/****************************************
Replication do-file for: Supplementary Table 18, Panel A
Paper:                   Heß, Schündeln, Jaimovich: Development Projects and Economic Networks: Lessons From Rural Gambia
Journal:                 Review of Economic Studies
Contact:                 Simon Heß (hess@econ.uni-frankfurt.de)
****************************************/

/************  Dependencies ***************/
//To install required Stata packages from SSC, please run the master do files (replicate main tables.do or replicate online supplementary tables.do)
//To load required routines, please run rerandomize.ado or run the master do-files

est clear

use data/households.dta, clear
eststo summary: estpost summarize knows_any_without_prompt knows_any_after_promtping cdd_largest_impact anyfunctions  if treatment 
esttab summary using "replication-supplement_table18panelA", cells(`"mean(fmt(0) par("" %) label(percentage) ) count(label(households) fmt(0))"') noobs  label nodepvars nomtitles nonum nodep varlabels(, end("" "") nolast) replace noabbrev
